<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=system'>".LG('Настройки системы')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Настройки авторизации')."";
ECHO "</div>";

IF (POST('ok')){
  
  $aut_access = INTVAL(POST('aut_access'));
  $aut_mode = INTVAL(POST('aut_mode'));
  
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'AUT_ACCESS', $aut_access);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'AUT_MODE', $aut_mode);
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=system&section=authorization');

}

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

ECHO "<b>".LG('Доступность авторизации').":</b><br />";
ECHO "<select name='aut_access' class='form-control-select'>";

ECHO "<option value='1' ".(CONFIG('AUT_ACCESS') == 1?" selected='selected'" : NULL)."> ".LG('Открыта')."</option>";
ECHO "<option value='0' ".(CONFIG('AUT_ACCESS') == 0?" selected='selected'" : NULL)."> ".LG('Закрыта')."</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Режим авторизации').":</b><br />";
ECHO "<select name='aut_mode' class='form-control-select'>";

ECHO "<option value='1' ".(CONFIG('AUT_MODE') == 1?" selected='selected'" : NULL)."> ".LG('IP + SESSION + HASH')."</option>";
ECHO "<option value='2' ".(CONFIG('AUT_MODE') == 2?" selected='selected'" : NULL)."> ".LG('IP + BROWSER + SESSION + HASH')." (".LG('рекомендуется').")</option>";
ECHO "<option value='0' ".(CONFIG('AUT_MODE') == 0?" selected='selected'" : NULL)."> ".LG('COOKIE + SESSION + HASH')."</option>";

ECHO "</select><br /><br />";

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "<br /><br />".LG('После внесения изменений, возможно, потребуется переавторизация на сайте')."";

ECHO "</form>";

ECHO "</div>";